"""widget_casanatics URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path("admin/", admin.site.urls),
    path("dashboard/", include("dashboard.urls", namespace="dashboard")),
    path("widgetusers/", include("dashboard.urls", namespace="widgetusers")),
    path("calendar/", include("calendar_app.urls", namespace="calendar_app")),
    path("forum/", include("forum.urls", namespace="forum")),
    path("assignments/", include("assignments.urls", namespace="assignments")),
    path(
        "announcements/",
        include("announcement_board.urls", namespace="announcement_board"),
    ),
]
